package models

import (
  "gorm.io/gorm"
)

type Result struct {
  gorm.Model
  AverageScore float32
  MinimumScore float32
  MaximumScore float32

  // belongs to Hardware
  HardwareID   int
  Hardware     Hardware

  // belongs to Benchmark
  BenchmarkID  int
  Benchmark    Benchmark

  // belongs to Test
  TestID       int
  Test         Test
}
